import SvgIcon, { SvgIconProps } from '@mui/material/SvgIcon';

const DiamondDice: React.FC<SvgIconProps> = ({ width = 512, height = 512, ...rest }) => {
  return (
    <SvgIcon width={width} height={height} viewBox="0 0 503.689 503.689" {...rest}>
      <path clipRule="evenodd" d="m242.702 0-150.94 82.917 150.94-38.876z" fillRule="evenodd" fill="currentColor" />
      <path
        d="m234.043 65.152-206.629 53.23c-2.177 1.434-3.624 3.743-3.968 6.327l74.386 196.846zm-101.056 59.109c5.049 0 9.143 4.093 9.143 9.143 0 5.049-4.093 9.143-9.143 9.143-5.049 0-9.143-4.093-9.143-9.143.001-5.05 4.094-9.143 9.143-9.143zm-64 27.428c-5.049 0-9.143-4.093-9.143-9.143s4.093-9.143 9.143-9.143 9.143 4.093 9.143 9.143-4.093 9.143-9.143 9.143zm18.286 54.857c0-5.049 4.093-9.143 9.143-9.143s9.143 4.093 9.143 9.143-4.093 9.143-9.143 9.143-9.143-4.093-9.143-9.143z"
        fill="currentColor"
      />
      <path
        d="m392.059 334.546-140.214-263.927-140.215 263.927zm-103.643-91.428c5.049 0 9.143 4.093 9.143 9.143 0 5.049-4.093 9.143-9.143 9.143-5.049 0-9.143-4.093-9.143-9.143s4.094-9.143 9.143-9.143zm-73.143-54.857c5.049 0 9.143 4.093 9.143 9.143s-4.093 9.143-9.143 9.143-9.143-4.093-9.143-9.143 4.094-9.143 9.143-9.143z"
        fill="currentColor"
      />
      <g clipRule="evenodd" fillRule="evenodd">
        <path d="m23.273 176v197.833l61.797-34.304z" fill="currentColor" />
        <path d="m32.992 389.339 180.901 99.356-119.424-133.468z" fill="currentColor" />
        <path d="m260.987.009v44.032l150.958 38.876z" fill="currentColor" />
        <path d="m418.619 339.529 61.797 34.304v-197.833z" fill="currentColor" />
        <path d="m289.797 488.704 180.891-99.365-61.467-34.112z" fill="currentColor" />
      </g>
      <path
        d="m116.859 352.832 134.985 150.857 134.986-150.857zm70.986 36.571c-5.049 0-9.143-4.093-9.143-9.143s4.093-9.143 9.143-9.143c5.049 0 9.143 4.093 9.143 9.143s-4.094 9.143-9.143 9.143zm36.571 36.572c-5.049 0-9.143-4.093-9.143-9.143 0-5.049 4.093-9.143 9.143-9.143 5.049 0 9.143 4.093 9.143 9.143 0 5.049-4.094 9.143-9.143 9.143zm27.429-36.572c-5.049 0-9.143-4.093-9.143-9.143s4.093-9.143 9.143-9.143c5.049 0 9.143 4.093 9.143 9.143s-4.094 9.143-9.143 9.143zm27.428 36.572c-5.049 0-9.143-4.093-9.143-9.143 0-5.049 4.093-9.143 9.143-9.143 5.049 0 9.143 4.093 9.143 9.143 0 5.049-4.093 9.143-9.143 9.143zm36.572-36.572c-5.049 0-9.143-4.093-9.143-9.143s4.093-9.143 9.143-9.143c5.049 0 9.143 4.093 9.143 9.143s-4.094 9.143-9.143 9.143z"
        fill="currentColor"
      />
      <path
        d="m405.865 321.554 74.386-196.846c-.346-2.579-1.785-4.884-3.95-6.327l-206.629-53.23zm28.837-188.151c5.049 0 9.143 4.093 9.143 9.143s-4.093 9.143-9.143 9.143c-5.049 0-9.143-4.093-9.143-9.143s4.093-9.143 9.143-9.143zm-27.429 73.143c5.049 0 9.143 4.093 9.143 9.143s-4.093 9.143-9.143 9.143-9.143-4.093-9.143-9.143 4.094-9.143 9.143-9.143zm-27.428-45.714c5.049 0 9.143 4.093 9.143 9.143s-4.093 9.143-9.143 9.143c-5.049 0-9.143-4.093-9.143-9.143s4.093-9.143 9.143-9.143zm-27.429-45.714c5.049 0 9.143 4.093 9.143 9.143s-4.093 9.143-9.143 9.143-9.143-4.093-9.143-9.143 4.094-9.143 9.143-9.143z"
        fill="currentColor"
      />
    </SvgIcon>
  );
};

export default DiamondDice;
